glutExtensionSupported(3GLUT)

NAME
glutExtensionSupported - helps to easily determine whether a given OpenGL extension is supported.

SYNTAX

int glutExtensionSupported(char *extension);

ARGUMENTS

extension
    Name of OpenGL extension.

DESCRIPTION
glutExtensionSupported helps to easily determine whether a given OpenGL extension is supported or not. The extension parameter names the extension to query. The supported extensions can also be determined with glGetString(GL_EXTENSIONS), but glutExtensionSupported does the correct parsing of the returned string. glutExtensionSupported returns non-zero if the extension is supported, zero if not supported. There must be a valid current window to call glutExtensionSupported. glutExtensionSupported only returns information about OpenGL extensions only. This means window system dependent extensions (for example, GLX extensions) are not reported by glutExtensionSupported.

EXAMPLE
Here is an example of using glutExtensionSupported:

  if (!glutExtensionSupported("GL_EXT_texture")) {
    fprintf(stderr, "Missing the texture extension!\n");
    exit(1);
  }
Notice that the name argument includes both the GL prefix and the extension family prefix (EXT).

SEE ALSO
glutGet, glGetString

AUTHOR
Mark J. Kilgard (mjk@nvidia.com)